package com.hw.dms.mapper;

import java.util.List;
import com.hw.dms.domain.DmsPlanLube;

/**
 * 润滑计划Mapper接口
 *
 * @author Open Platform
 * @date 2024-01-12
 */
public interface DmsPlanLubeMapper
{
    /**
     * 查询润滑计划
     *
     * @param planLubeId 润滑计划主键
     * @return 润滑计划
     */
    public DmsPlanLube selectDmsPlanLubeByPlanLubeId(Long planLubeId);

    /**
     * 查询润滑计划列表
     *
     * @param dmsPlanLube 润滑计划
     * @return 润滑计划集合
     */
    public List<DmsPlanLube> selectDmsPlanLubeList(DmsPlanLube dmsPlanLube);

    /**
     * 新增润滑计划
     *
     * @param dmsPlanLube 润滑计划
     * @return 结果
     */
    public int insertDmsPlanLube(DmsPlanLube dmsPlanLube);

    /**
     * 修改润滑计划
     *
     * @param dmsPlanLube 润滑计划
     * @return 结果
     */
    public int updateDmsPlanLube(DmsPlanLube dmsPlanLube);

    /**
     * 删除润滑计划
     *
     * @param planLubeId 润滑计划主键
     * @return 结果
     */
    public int deleteDmsPlanLubeByPlanLubeId(Long planLubeId);

    /**
     * 批量删除润滑计划
     *
     * @param planLubeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDmsPlanLubeByPlanLubeIds(Long[] planLubeIds);






    /**
     * 查询润滑计划
     *
     * @param planLubeCode 润滑计划Code
     * @return 润滑计划
     */
    public DmsPlanLube selectDmsPlanLubeJoinByPlanLubeCode(String planLubeCode);


    /**
     * 查询润滑计划，Join job
     *
     * @param planLubeId 润滑计划主键
     * @return 润滑计划
     */
    public DmsPlanLube selectPlanLubeJoinJobByPlanLubeId(Long planLubeId);

}
